## compiz 0.9.14.2%2B22.10.20220822-0ubuntu13

=== plugins/td/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (td PLUGINDEPS composite opengl cube)
