=== tests/system/CMakeLists.txt ===
add_subdirectory (xorg-gtest)
if (NOT USE_GLES)
add_subdirectory (untest)
endif ()
