=== debian/changelog ===
compiz (1:0.9.14.2+22.10.20220822-0ubuntu13) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:03:11 +0100

compiz (1:0.9.14.2+22.10.20220822-0ubuntu12) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:48:15 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu11) noble; urgency=medium

  * Apply patches from debian/patches since this is not a 3.0 (quilt) package

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 03:09:58 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu10) noble; urgency=medium

  * Rename libraries for 64-bit time_t transition.  Closes: #1061901
  * debian/patches/64-bit-time-t-compat.patch: fix build with
    _TIME_BITS=64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 01:07:26 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu9) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:11:10 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu8) noble; urgency=medium

  * Drop toggle-shaded since it's no longer included in
    gsettings-desktop-schemas 45 (LP: #2045493)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 15:46:39 -0500

compiz (1:0.9.14.2+22.10.20220822-0ubuntu7) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:14:40 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu6) noble; urgency=medium

  * Adjust path for the CompizConfigPython tests (LP: #2050888)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 23 Jan 2024 17:37:25 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu5) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:07:54 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu4) mantic; urgency=medium

  * Fix ftbfs by stopping forcing obsolete c++11.
  * Disable Werror.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 22 Sep 2023 00:46:09 +0100

compiz (1:0.9.14.2+22.10.20220822-0ubuntu3) lunar; urgency=medium

  * Rebuild against new libprotobuf32.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Jan 2023 19:39:45 +0100

compiz (1:0.9.14.2+22.10.20220822-0ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:56:17 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu1) kinetic; urgency=medium

  * Bump upstream version number to 0.9.14.2.
  * Update translations from Launchpad.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 22 Aug 2022 05:55:24 +0000

compiz (1:0.9.14.1+22.10.20220817-0ubuntu1) kinetic; urgency=medium

  [ Alberts Muktupāvels ]
  * Set CMake policy CMP0072 to NEW behavior

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 Aug 2022 16:58:51 +0000

compiz (1:0.9.14.1+22.10.20220815.3-0ubuntu1) kinetic; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: set client type before using WnckScreen API
  * event: use correct window when deciding if it should appear focused
  * Fix build errors and warnings

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 15 Aug 2022 19:45:55 +0000
