## compiz 0.9.14.2%2B25.10.20250930-0ubuntu1

=== plugins/colorfilter/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (colorfilter PLUGINDEPS composite opengl)
