=== tests/shared/CMakeLists.txt ===
set (GTEST_SHARED_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
add_subdirectory (src)
