=== tests/system/xorg-gtest/CMakeLists.txt ===
if (BUILD_XORG_GTEST)

    add_subdirectory (tests)

endif (BUILD_XORG_GTEST)
