## compiz 0.9.14.2+22.10.20220822-0ubuntu4

=== plugins/addhelper/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (addhelper PLUGINDEPS composite opengl)
