=== cmake/src/CMakeLists.txt ===
add_subdirectory (compiz)
