=== compizconfig/integration/CMakeLists.txt ===
add_subdirectory (gnome)
