=== compizconfig/mocks/CMakeLists.txt ===
add_subdirectory (libcompizconfig)
