## compiz 0.9.14.2+22.10.20220822-0ubuntu12trisquel2

=== debian/changelog ===
compiz (1:0.9.14.2+22.10.20220822-0ubuntu12trisquel2) ecne; urgency=medium

  * Remove recomendation to use fglrx (non-free software)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Oct 2024 10:09:19 +0000
