=== plugins/gnomecompat/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(gnomecompat PLUGINDEPS composite opengl)
