=== plugins/put/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (put PLUGINDEPS composite opengl)
