=== tests/integration/CMakeLists.txt ===
add_subdirectory (glib)
