=== compizconfig/integration/gnome/tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 include_directories (${CMAKE_SOURCE_DIR}/compizconfig/tests)
 link_directories (${CMAKE_INSTALL_PREFIX}/lib)
 
-set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 add_library (compizconfig_ccs_mock_gnome_integrated_setting_composition
 	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_mock_gnome_integrated_setting_composition.c)
