## compiz 0.9.14.2+22.10.20220822-0ubuntu15

=== debian/changelog ===
compiz (1:0.9.14.2+22.10.20220822-0ubuntu15) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 May 2025 14:22:32 +0200

compiz (1:0.9.14.2+22.10.20220822-0ubuntu14) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:15:19 +0200
